Option Strict Off

Public Class FormMain
  Inherits System.Windows.Forms.Form

#Region " Windows Form Designer generated code "

  Public Sub New()
    MyBase.New()

    'This call is required by the Windows Form Designer.
    InitializeComponent()

    'Add any initialization after the InitializeComponent() call
  End Sub

  'Form overrides dispose to clean up the component list.
  Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    If disposing Then
      If Not (components Is Nothing) Then
        components.Dispose()
      End If
    End If
    MyBase.Dispose(disposing)
  End Sub

  Private WithEvents richTextBox As System.Windows.Forms.RichTextBox
  Private WithEvents button1 As System.Windows.Forms.Button
  Private WithEvents button2 As System.Windows.Forms.Button
  Private WithEvents button3 As System.Windows.Forms.Button
  Private WithEvents mainMenu1 As System.Windows.Forms.MainMenu
  Private WithEvents menuItemEdit As System.Windows.Forms.MenuItem
  Private WithEvents menuItemFile As System.Windows.Forms.MenuItem
  Private WithEvents menuItemHelp As System.Windows.Forms.MenuItem
  Private WithEvents menuItemFormat As System.Windows.Forms.MenuItem
  Private WithEvents menuItemFont As System.Windows.Forms.MenuItem
  Private WithEvents menuItemWrap As System.Windows.Forms.MenuItem
  Private WithEvents menuItem1 As System.Windows.Forms.MenuItem
  Private WithEvents menuItemExit As System.Windows.Forms.MenuItem
  Private WithEvents menuItemNew As System.Windows.Forms.MenuItem
  Private WithEvents menuItem2 As System.Windows.Forms.MenuItem
  Private WithEvents menuItem3 As System.Windows.Forms.MenuItem

  'Required by the Windows Form Designer
  Private components As System.ComponentModel.Container

  'NOTE: The following procedure is required by the Windows Form Designer
  'It can be modified using the Windows Form Designer.  
  'Do not modify it using the code editor.
  <System.Diagnostics.DebuggerStepThrough()> _
  Private Sub InitializeComponent()
    Me.menuItem1 = New System.Windows.Forms.MenuItem()
    Me.menuItemFont = New System.Windows.Forms.MenuItem()
    Me.menuItem2 = New System.Windows.Forms.MenuItem()
    Me.menuItem3 = New System.Windows.Forms.MenuItem()
    Me.menuItemExit = New System.Windows.Forms.MenuItem()
    Me.menuItemEdit = New System.Windows.Forms.MenuItem()
    Me.menuItemWrap = New System.Windows.Forms.MenuItem()
    Me.menuItemFile = New System.Windows.Forms.MenuItem()
    Me.richTextBox = New System.Windows.Forms.RichTextBox()
    Me.menuItemHelp = New System.Windows.Forms.MenuItem()
    Me.menuItemNew = New System.Windows.Forms.MenuItem()
    Me.mainMenu1 = New System.Windows.Forms.MainMenu()
    Me.menuItemFormat = New System.Windows.Forms.MenuItem()
    Me.menuItem1.Index = 1
    Me.menuItem1.Text = "-"
    Me.menuItemFont.Index = 1
    Me.menuItemFont.Text = "Font..."
    Me.menuItem2.Index = 2
    Me.menuItem2.Text = "Page Setup"
    Me.menuItem3.Index = 3
    Me.menuItem3.Text = "Print"
    Me.menuItemExit.Index = 4
    Me.menuItemExit.Text = "Exit"
    Me.menuItemEdit.Index = 1
    Me.menuItemEdit.Text = "Edit"
    Me.menuItemWrap.Index = 0
    Me.menuItemWrap.Text = "Word Wrap"
    Me.menuItemFile.Index = 0
    Me.menuItemFile.MenuItems.AddRange(New System.Windows.Forms.MenuItem() _
      {Me.menuItemNew, Me.menuItem1, Me.menuItem2, Me.menuItem3, _
      Me.menuItemExit})
    Me.menuItemFile.Text = "File"
    Me.richTextBox.AcceptsTab = True
    Me.richTextBox.AutoSize = True
    Me.richTextBox.AutoWordSelection = True
    Me.richTextBox.Dock = System.Windows.Forms.DockStyle.Fill
    Me.richTextBox.Size = New System.Drawing.Size(591, 336)
    Me.richTextBox.TabIndex = 0
    Me.richTextBox.Text = "richTextBox1"
    Me.menuItemHelp.Index = 3
    Me.menuItemHelp.Text = "Help"
    Me.menuItemNew.Index = 0
    Me.menuItemNew.Text = "New"
    Me.mainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() _
      {Me.menuItemFile, Me.menuItemEdit, Me.menuItemFormat, _
      Me.menuItemHelp})
    Me.menuItemFormat.Index = 2
    Me.menuItemFormat.MenuItems.AddRange(New System.Windows.Forms.MenuItem() _
      {Me.menuItemWrap, Me.menuItemFont})
    Me.menuItemFormat.Text = "Format"
    Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
    Me.ClientSize = New System.Drawing.Size(591, 336)
    Me.Controls.AddRange(New System.Windows.Forms.Control() _
      {Me.richTextBox})
    Me.Menu = Me.mainMenu1
    Me.Text = "FontPad"

  End Sub

  Public Sub resetRichTextBox()

    'purpose:   set the font properties of the rich text box

    'local scope
    Dim font As Font
    Dim fontStyle As FontStyle
    Dim fontFamily As FontFamily
    Dim styleType As System.Type

    'set a font style type
    styleType = fontStyle.GetType

    'create a font family object
    fontFamily = New FontFamily(g_FontFamily)

    'get a font style object (note: must turn off option strict)
    fontStyle = fontStyle.Parse(enumType:=styleType, _
      value:=g_FontStyle)

    'create a new font based on global values
    font = New Font(family:=fontFamily, _
        emSize:=CSng(g_FontSize), _
        style:=fontStyle, _
        unit:=System.Drawing.GraphicsUnit.Point)

    'reset the font on the control
    Me.richTextBox.Font = font

  End Sub

  Private Sub Form1_Load(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles MyBase.Load

    'purpose:   init. the application, load any controls

    'set the text property of the rich text box
    richTextBox().Text = ""

    'set the font properties to their defaults
    resetRichTextBox()
    g_FontPad = Me

  End Sub

  Private Sub menuItemFont_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles menuItemFont.Click

    'purpose:   show the font dialog when the user clicks 
    '           the font menu item

    'local scope
    Dim dialogFont As FontSettings

    'create new suface form
    dialogFont = New FontSettings()

    'set the start position of the modal dialog to the center 
    '  positions of its parent
    dialogFont.StartPosition = FormStartPosition.CenterParent

    'show the form as modal dialog
    dialogFont.ShowDialog(Me)

  End Sub

  Private Sub menuItemExit_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles menuItemExit.Click

    'purpose:   end the application

    'close the form
    Me.Close()

  End Sub

#End Region

End Class
